# To build, copy this file to gcconfig.pri and then fill in the paths.

# You can define the name of the executage file here.
# If you do not specify anything then we deafult to: GoldenCheetah
#APP_NAME = 

# We recommend a debug build for development and a release build for deployment
#CONFIG += debug
#CONFIG += release

# If you want a console window to appear on Windows machines
# then uncomment the following two lines.
#CONFIG += console
#QMAKE_LFLAGS = -mwindows

# To compile translation you need QT tool - lrelease
# If it is not found using he defaults in src/src.pro
# then set the full path and filename here.
QMAKE_LRELEASE = /usr/bin/lrelease-qt4

# We use g++ on all platforms so switch on auto vectorization amongst other
# things to speed up looping over ride file points
#QMAKE_CXXFLAGS += -O3

# Let us know where flex and bison are installed.
# You may need to specify the full path if things don't work.
#QMAKE_LEX  = flex
#QMAKE_YACC = bison
#win32 {
#  QMAKE_YACC = bison --file-prefix=y -t
#  QMAKE_MOVE = cmd /c move
#  QMAKE_DEL_FILE = rm -f
#}

# If you want SRM download support you must install SRMIO
#     http://www.zuto.de/project/srmio/
# Set path to the root of the SRMIO installation
# If you installed in /usr/local/srmio then set
# SRMIO_INSTALL = /usr/local/srmio
# This will automatically set:
# SRMIO_INCLUDE = $${SRMIO_INSTALL}/include 
# SRMIO_LIBS    = $${SRMIO_INSTALL}/lib/libsrmio.a
# You may override the INCLUDE and LIB files if you like.
# You *must* define SRMIO_INSTALL to use this feature.
#SRMIO_INSTALL = 
#SRMIO_INCLUDE = 
#SRMIO_LIBS    = 

# If you want D2XX device downloads, you need the D2XX libraries
#    http://www.ftdichip.com/Drivers/D2XX.htm
# Set path to where the D2XX include file (d2xx.h) is located
# If the files are in /usr/include/d2xx then set
# D2XX = /usr/include/d2xx
# If for some reason you need a library to compile d2xx support
# specify it on the D2XX_LIBS = line.
# You *must* define D2XX_INCLUDE to use this feature.
#D2XX_INCLUDE = 
#D2XX_LIBS    =

# If you want Twitter support you must install liboauth
#     http://liboauth.sourceforge.net/
# Set path to the root of the OAUTH installation
# If you installed in /usr/local/oauth then set
# LIBOAUTH_INSTALL = /usr/local/oauth
# This will automatically set:
# LIBOAUTH_INCLUDE = $${LIBOAUTH_INSTALL}/include 
# LIBOAUTH_LIBS    = $${LIBOAUTH_INSTALL}/lib/liboauth.a -lcurl -lcrypto -lz
# You may override the INCLUDE and LIB files if you like.
# You *must* define LIBOAUTH_INSTALL to use this feature.
LIBOAUTH_INSTALL = /usr
LIBOAUTH_LIBS = -loauth -lgcrypt -lcurl -lnss3 -lz

# If you want 3D plotting, you need to install qwtplot3d
#     http://qwtplot3d.sourceforge.net/
# If you are running Linux and have font problems, download
# the Tar ball from http://qwtplot3d.svn.sourceforge.net/viewvc/qwtplot3d/
# Follow Branches -> Maintain_0_2_x -> qwtplot3d
# Set path to the root of the qwtplot3d installation
# If you installed in /usr/local/qwtplot3d then set
# QWT3D_INSTALL = /usr/local/qwtplot3d
# This will automatically set:
# QWT3D_INCLUDE = $${QWT3D_INSTALL}/include 
# QWT3D_LIBS    = $${QWT3D_INSTALL}/lib/libqwtplot3d.a
# You may override the INCLUDE and LIB files if you like.
# You *must* define QWT3D_INSTALL to use this feature.
QWT3D_INSTALL = /usr
QWT3D_INCLUDE = /usr/include/qwtplot3d-qt4
QWT3D_LIBS = /usr/lib/libqwtplot3d-qt4.so

# For TrainingPeaks.com upload/download you need to install the Qt Soap add-on
#     http://qt.nokia.com/products/appdev/add-on-products/catalog/4/Utilities/qtsoap
# If qtsoap.pri is install in /usr/local/qtsolutions/soap/ then set
# QTSOAP_INSTALL = /usr/local/qtsolutions/soap
# By default we use a copy of Qt Soap in the GIT repository.
# You *must* define QTSOAP_INSTALL to use a different version than this.
#QTSOAP_INSTALL = 

# If you want support for Google Earth .kml files then you need
# to install the Google libkml library
#
# http://code.google.com/p/libkml/
# or on Linux sudo apt-get install libkml-dev
#
# then set the following variable appropriately
# to the root of the libs/include path
KML_INSTALL = /usr
#KML_INCLUDE = 
#KML_LIBS    = 
# Since KML also requires BOOST you will need to install
# that too and then set BOOST_INCLUDE to that location
# If the files are in /usr/include/boost then set
#BOOST_INCLUDE = /usr/include
#Additionally, on MAC the latest libs also need the following
#QMAKE_CFLAGS_X86_64 += -mmacosx-version-min=10.7
#QMAKE_CXXFLAGS_X86_64 = $$QMAKE_CFLAGS_X86_64
#LIBS += -lexpat -luriparser -lminizip

# If you want support for downloading from iCal calendars you will need libical
#     http://sourceforge.net/projects/freeassociation/
# Set path to the root of the libical installation
# If you installed in /usr/local/libical then set
# ICAL_INSTALL = /usr/local/libical
# This will automatically set:
# ICAL_INCLUDE = $${ICAL_INSTALL}/include 
# ICAL_LIBS    = $${ICAL_INSTALL}/lib/libical.a
# You may override the INCLUDE and LIB files if you like.
# You *must* define ICAL_INSTALL to use this feature.
ICAL_INSTALL = /usr
ICAL_INCLUDE = /usr/include/libical/
#ICAL_LIBS    =

# If you want support for using USB1 sticks in Train View on Windows
# then install the SiLabs USBXpress Software Development Kit (SDK)
#     http://www.silabs.com/products/mcu/Pages/USBXpress.aspx
# and set the following to the 'Host' directory within the SDK
# USBXPRESS_INSTALL = /c/SiLabs/MCU/USBXpress/USBXpress_API/Host/
# You may override the INCLUDE and LIB files if you like.
# You *must* define USBXPRESS_INSTALL to use this feature.
#USBXPRESS_INSTALL = 
#USBXPRESS_INCLUDE = 
#USBXPRESS_LIBS    = 

# If you want support for using USB2 sticks in Train View on Linux or Windows
# then you need to install libusb (Linux) or libusb-win32 (Windows) version 0.1.12
# For Linux builds download: (There is a copy in the contrib directory)
#     http://prdownloads.sourceforge.net/libusb/libusb-0.1.12.tar.gz
# For Windows builds download:
#     http://sourceforge.net/projects/libusb-win32/files/libusb-win32-releases/0.1.12.2/
# You may override the INCLUDE and LIB files if you like.
# You *must* define LIBUSB_INSTALL to use this feature.
LIBUSB_INSTALL = /usr
LIBUSB_INCLUDE = /usr/include
#LIBUSB_LIBS    = 

# if you want video playback on training mode then
# download and install vlc (videolan) from
# ftp.videolan.org/pub/vlc/1.1.8 for your platform
# there are sdks for Mac and Windows. On Linux you
# will need to use the latest distro (e.g. Meerkat
# on Ubuntu) to be sure apt-get installs the latest
# builds (we need 1.1.8 or higher).
# Set path to the root of the VLC installation
# If the are installed in /usr/local/vlc then set
# VLC_INSTALL = /usr/local/vlc
# This will automatically set (Windows and Unix):
# VLC_INCLUDE = $${VLC_INSTALL}/include 
# For Windows
# VLC_LIBS    = $${VLC_INSTALL}/lib/libvlc.dll.a $${VLC_INSTALL}/lib/libvlccore.dll.a
# For Unix
# VLC_LIBS    = -lvlc -lvlccore
# You may override the INCLUDE and LIB files if you like.
# You *must* define VLC_INSTALL to use this feature.
VLC_INSTALL = /usr
VLC_INCLUDE = /usr/include/vlc
#VLC_LIBS    = -lvlc

#If you want search functionality then uncomment the following
#two lines once you habve installed clucene developer libraries
#and runtimes. See the INSTALL guide for your platform. 
CLUCENE_INCLUDE = /usr/lib/$(DEB_HOST_MULTIARCH)
CLUCENE_LIBS    = -lclucene-core


# *** Mac users NOTE ***
# On MAC you don't need libvlc since we use the
# native QTKit (OSX framework) for video playback
# using Quicktime and on 10.6 or higher Quicktime X
#

# If your system has PKG_CONFIG, QT can use this to get dependent libraries.
# Add the names of libraries with PKG_CONFIG information.
# eg. PKGCONFIG = oauth libical
# Uncomment the following two lines to enable.
#CONFIG   += link_pkgconfig
#PKGCONFIG = 

# If your QT build includes its own local compress libs
# then you should comment the line below, otherwise you
# will need to have the compress libraries installed
# separately. 
LIBZ_INCLUDE =
LIBZ_LIBS    = -lz

macx {
    # Uncomment this line to build with OS X Tiger support on a Leopard system:
    #QMAKE_MAC_SDK=/Developer/SDKs/MacOSX10.4u.sdk

    # Uncomment this line to build a OS X universal binary:
    #CONFIG+=x86 ppc

    # Uncomment this line if you have SDK 10.7 or higher
    #DEFINES += GC_HAVE_LION

    # Uncomment this line if you have the Mac OSX Wahoo API installed (Kickr)
    #HAVE_WFAPI = true
}

#if you want a 'robot' to test realtime code without having
#to get on your trainer and ride then uncomment below
#DEFINES += GC_WANT_ROBOT

DEFINES += GC_VERSION=\\\"3.0.2\\\"

